stages:
    - test

image: andrejreznik/python-gdal:py3.10.0-gdal3.2.3

services:
    - postgis/postgis:14rc1-master
    - redis:6.2.6

variables:
    POSTGRES_DB: $DB_NAME
    POSTGRES_USER: $DB_USER
    POSTGRES_PASSWORD: $DB_PASSWORD

unit-test:
    stage: test
    variables:
        DB_NAME: $DB_NAME
        DB_USER: $DB_USER
        DB_PASSWORD: $DB_PASSWORD
        DJANGO_SECRET_KEY: $DJANGO_SECRET_KEY
        DB_HOST: postgis-postgis
        DB_PORT: 5432
        REDIS_IP: redis

    script:
        - pip install -r requirements.txt
        - mypy --config-file mypy.ini .
        - flake8 .
        - cd server
        - python manage.py makemigrations
        - python manage.py migrate
        - coverage run manage.py test
        - coverage report --fail-under=95
        - coverage html
    artifacts:
        paths:
            - coverage
        expire_in: 10 days



